# Simulate incoming Swift payment

Simulates an incoming Swift transfer into a profile's account details. This will create a payment into the user's account details and balance for the specified amount and currency. Using sandbox, you can test the initial tech build for webhook subscriptions, balance statements, and sweeping funds.
If the request is successful the transfer is logged in our back office, which triggers a [swift-in#credit](/api-reference/webhook-event/eventswiftincredit) event and results in a balance update.
While most fields are optional, default values will be provided as needed.

Endpoint: POST /simulation/profiles/{profileId}/swift-in
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `currencyCode` (string, required)
    ISO 4217 currency code
    Example: USD

  - `amount` (number, required)
    Amount received by Wise.
    Example: 100

  - `instructedAmount` (number)
    Amount sent by the sender.
If not provided, it is assumed to be the same as `amount` plus **same currency** fees.
Any outstanding fees in other currencies are ignored.
Required if `instructedCurrencyCode` is provided.
    Example: 101

  - `beneficiaryName` (string)
    Name of the ultimate beneficiary.
    Example: John Doe

  - `beneficiaryAccount` (string)
    Account number of the ultimate beneficiary. It can be either a local account number or an IBAN.
*If the provided IBAN resolves to a BIC that does not match any connected test BICs, simulation is not allowed and an error is returned.*
    Example: 8599680548

  - `beneficiaryAddress` (object)
    Address of the ultimate beneficiary.

  - `beneficiaryAddress.addressLine` (any)
    Example: 1234 Elm St, IL

  - `beneficiaryAddress.city` (any)
    Example: Springfield

  - `beneficiaryAddress.postalCode` (any)
    Example: 62704

  - `beneficiaryAddress.country` (any)
    Example: US

  - `senderName` (string)
    Name of the sender.
    Example: Jane Doe

  - `senderBic` (string)
    Business Identifier Code, also known as Swift Code.

  - `senderBank` (object)

  - `senderAccount` (string)
    Account number of the sender. It can be either an IBAN or local account number.
    Example: DE89370400440532013000

  - `senderAddress` (object)
    Address of the sender.

  - `senderAddress.addressLine` (any)
    Example: 5678 Oak St

  - `senderAddress.city` (any)
    Example: Springfield

  - `senderAddress.postalCode` (any)
    Example: 62704

  - `senderAddress.country` (any)
    Example: US

  - `paymentReference` (string)
    Custom payment reference.
    Example: Test123

  - `charges` (array)
    List of fees declared by correspondents (e.g., handling fee).

  - `charges.amount` (number, required)
    Fee amount.
    Example: 1

  - `previousInstructingAgents` (array)
    List of previous instructing agents. Maximum 3 items.

